## gau2grid 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1 FATAL_ERROR)

project(gau2grid
        VERSION 1.0.1
        LANGUAGES C)
set(gau2grid_AUTHORS      "Daniel G. A. Smith")
set(gau2grid_DESCRIPTION  "Fast computation of a gaussian and its derivative on a grid")
set(gau2grid_URL          "https://github.com/dgasmith/gau2grid")
set(gau2grid_LICENSE      "BSD 3-clause")

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)


#############################  Options: Build How?  #############################
include(psi4OptionsTools)
option_with_default(MAX_AM "The maximum gaussian angular momentum to compile" 8)
option_with_default(CMAKE_BUILD_TYPE "Build type (Release or Debug)" Release)
option_with_flags(ENABLE_XHOST "Enables processor-specific optimization" ON
                  "-xHost" "-march=native")

option_with_default(BUILD_FPIC "Libraries will be compiled with position independent code" ON)
option_with_print(BUILD_SHARED_LIBS "Build final library as shared, not static" ON)
option_with_default(ENABLE_GENERIC "Enables mostly static linking of system libraries for shared library" OFF)

# Warnings
if((${BUILD_SHARED_LIBS}) AND NOT ${BUILD_FPIC})
    message(FATAL_ERROR "BUILD_SHARED_LIBS ON and BUILD_FPIC OFF are incompatible, as shared library requires position independent code")
endif()

# Install
option_with_default(CMAKE_INSTALL_LIBDIR "Directory to which libraries installed" lib)
option_with_default(PYMOD_INSTALL_LIBDIR "Location within CMAKE_INSTALL_LIBDIR to which python modules are installed
                                          Must start with: / . Used to imitate python install: /python3.6/site-packages ." /)
option_with_print(INSTALL_PYMOD "Additionally installs as independent python module in PYMOD_INSTALL_LIBDIR" OFF)

########################  Process & Validate Options  ##########################
include(autocmake_safeguards)
include(custom_color_messages)
include(custom_static_library)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX "/usr/local/gau2grid" CACHE PATH "Install path" FORCE)
endif()
message(STATUS "gau2grid install: ${CMAKE_INSTALL_PREFIX}")

#  <<  Python  >>
set(Python_ADDITIONAL_VERSIONS 3.7 3.6 3.5)  # adjust with CMake minimum FindPythonInterp
find_package(PythonLibsNew 2.7 REQUIRED)
message(STATUS "${Cyan}Found Python ${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}${ColourReset}: ${PYTHON_EXECUTABLE} (found version ${PYTHON_VERSION_STRING})")


################################  Main Project  ################################
add_custom_command(
    OUTPUT  gau2grid.h gau2grid_phi.c gau2grid_deriv1.c gau2grid_deriv2.c gau2grid_spherical.c gau2grid_helper.c
    COMMAND ${PYTHON_EXECUTABLE} -c "import sys; \
                                     sys.path.append('${CMAKE_SOURCE_DIR}'); \
                                     import gau2grid as gg; \
                                     gg.c_gen.generate_c_gau2grid(${MAX_AM}, path='${CMAKE_CURRENT_BINARY_DIR}')"
    DEPENDS gau2grid/c_generator.py
    VERBATIM)

set(sources_list ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_phi.c
                 ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_deriv1.c
                 ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_deriv2.c
                 ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_spherical.c
                 ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_helper.c)

add_library(gg ${sources_list})
set_target_properties(gg PROPERTIES COMPILE_FLAGS "-std=c99")
set_target_properties(gg PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC})

if(${BUILD_SHARED_LIBS})
    target_link_libraries(gg PRIVATE ${LIBC_INTERJECT})
endif()


###################################  Install  ##################################
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

set(PN ${PROJECT_NAME})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gau2grid.h
              DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PN})

install(TARGETS gg
        EXPORT "${PN}Targets"
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

target_include_directories(gg INTERFACE
                           $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)

# GNUInstallDirs "DATADIR" wrong here; CMake search path wants "share".
set(CMAKECONFIG_INSTALL_DIR "share/cmake/${PN}")
configure_package_config_file(cmake/${PN}Config.cmake.in
                              "${CMAKE_CURRENT_BINARY_DIR}/${PN}Config.cmake"
                              INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})
write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/${PN}ConfigVersion.cmake
                                 VERSION ${${PN}_VERSION}
                                 COMPATIBILITY AnyNewerVersion)

# Install our files
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PN}Config.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/${PN}ConfigVersion.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})
install(EXPORT "${PN}Targets"
        NAMESPACE "${PN}::"
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})

if(${INSTALL_PYMOD})
    install(DIRECTORY gau2grid
            DESTINATION ${CMAKE_INSTALL_LIBDIR}${PYMOD_INSTALL_LIBDIR}
            USE_SOURCE_PERMISSIONS
            FILES_MATCHING PATTERN "*.py" PATTERN "*.npz")

    install(FILES $<TARGET_FILE:gg>
            DESTINATION ${CMAKE_INSTALL_LIBDIR}${PYMOD_INSTALL_LIBDIR}/gau2grid)
endif()

=== debian/changelog ===
gau2grid (1.0.1-2) unstable; urgency=medium

  * debian/control (Testsuite): Added autopkgtest-pkg-python.
  * debian/control (python3-gau2grid/Description): Expand.
  * debian/gitlab-ci.yml: New file.

 -- Michael Banck <mbanck@debian.org>  Sat, 01 Dec 2018 09:42:06 +0100

gau2grid (1.0.1-1) unstable; urgency=medium

  * Initial release.

 -- Michael Banck <mbanck@debian.org>  Fri, 25 May 2018 23:05:12 +0200

=== debian/control ===
Source: gau2grid
Section: libs
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               dh-python,
               python-minimal,
               python3-dev (>= 3.6),
               python3-numpy,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.1.3
X-Python3-Version: >= 3.6
Homepage: https://github.com/dgasmith/gau2grid/
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/debichem-team/gau2grid
Vcs-Git: https://salsa.debian.org/debichem-team/gau2grid.git

Package: python3-gau2grid
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Computing gaussians on a grid
 gau2grid is a python-generated C library for vectorized computation of grid to
 gaussian collocation matrices. The core of gau2grid is generating the
 collocation matrices between a real space grid and a gaussian basis set
 expanded to a given angular momenta.

## gau2grid 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
 
 project(gau2grid
-        VERSION 1.0.1
+        VERSION 1.2.0
         LANGUAGES C)
 set(gau2grid_AUTHORS      "Daniel G. A. Smith")
 set(gau2grid_DESCRIPTION  "Fast computation of a gaussian and its derivative on a grid")
@@ -14,6 +14,10 @@
 #############################  Options: Build How?  #############################
 include(psi4OptionsTools)
 option_with_default(MAX_AM "The maximum gaussian angular momentum to compile" 8)
+option_with_default(SPHERICAL_ORDER "The order for the spherical basis functions. Options: cca, gaussian" "gaussian")
+option_with_default(CARTESIAN_ORDER "The order for the cartesian basis functions. Options: row" "row")
+
+option_with_default(MAX_AM "The maximum gaussian angular momentum to compile" 8)
 option_with_default(CMAKE_BUILD_TYPE "Build type (Release or Debug)" Release)
 option_with_flags(ENABLE_XHOST "Enables processor-specific optimization" ON
                   "-xHost" "-march=native")
@@ -25,6 +29,9 @@
 # Warnings
 if((${BUILD_SHARED_LIBS}) AND NOT ${BUILD_FPIC})
     message(FATAL_ERROR "BUILD_SHARED_LIBS ON and BUILD_FPIC OFF are incompatible, as shared library requires position independent code")
+endif()
+if(NOT ((${SPHERICAL_ORDER} STREQUAL "cca") OR (${SPHERICAL_ORDER} STREQUAL "gaussian")))
+    message(FATAL_ERROR "SPHERICAL_ORDER must be 'cca' or 'gaussian': ${SPHERICAL_ORDER}")
 endif()
 
 # Install
@@ -55,7 +62,7 @@
     COMMAND ${PYTHON_EXECUTABLE} -c "import sys; \
                                      sys.path.append('${CMAKE_SOURCE_DIR}'); \
                                      import gau2grid as gg; \
-                                     gg.c_gen.generate_c_gau2grid(${MAX_AM}, path='${CMAKE_CURRENT_BINARY_DIR}')"
+                                     gg.c_gen.generate_c_gau2grid(${MAX_AM}, path='${CMAKE_CURRENT_BINARY_DIR}', cartesian_order='${CARTESIAN_ORDER}', spherical_order='${SPHERICAL_ORDER}')"
     DEPENDS gau2grid/c_generator.py
     VERBATIM)
 
@@ -81,6 +88,7 @@
 set(PN ${PROJECT_NAME})
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gau2grid.h
+              ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_pragma.h
               DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PN})
 
 install(TARGETS gg

=== debian/changelog ===
gau2grid (1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Sat, 01 Dec 2018 17:48:15 +0100

## gau2grid 1.2.0+git20181201

=== debian/changelog ===
gau2grid (1.2.0+git20181201-1) unstable; urgency=medium

  * New upstream development snapshot.

 -- Michael Banck <mbanck@debian.org>  Sat, 01 Dec 2018 23:12:46 +0100

## gau2grid 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 include(psi4OptionsTools)
 option_with_default(MAX_AM "The maximum gaussian angular momentum to compile" 8)
 option_with_default(SPHERICAL_ORDER "The order for the spherical basis functions. Options: cca, gaussian" "gaussian")
-option_with_default(CARTESIAN_ORDER "The order for the cartesian basis functions. Options: row" "row")
+option_with_default(CARTESIAN_ORDER "The order for the cartesian basis functions. Options: row, molden" "row")
 
 option_with_default(MAX_AM "The maximum gaussian angular momentum to compile" 8)
 option_with_default(CMAKE_BUILD_TYPE "Build type (Release or Debug)" Release)
@@ -32,6 +32,9 @@
 endif()
 if(NOT ((${SPHERICAL_ORDER} STREQUAL "cca") OR (${SPHERICAL_ORDER} STREQUAL "gaussian")))
     message(FATAL_ERROR "SPHERICAL_ORDER must be 'cca' or 'gaussian': ${SPHERICAL_ORDER}")
+endif()
+if(NOT ((${CARTESIAN_ORDER} STREQUAL "row") OR (${CARTESIAN_ORDER} STREQUAL "molden")))
+    message(FATAL_ERROR "CARTESIAN_ORDER must be 'row' or 'molden': ${CARTESIAN_ORDER}")
 endif()
 
 # Install
@@ -58,7 +61,7 @@
 
 ################################  Main Project  ################################
 add_custom_command(
-    OUTPUT  gau2grid.h gau2grid_phi.c gau2grid_deriv1.c gau2grid_deriv2.c gau2grid_spherical.c gau2grid_helper.c
+    OUTPUT  gau2grid.h gau2grid_orbital.c gau2grid_phi.c gau2grid_deriv1.c gau2grid_deriv2.c gau2grid_spherical.c gau2grid_helper.c
     COMMAND ${PYTHON_EXECUTABLE} -c "import sys; \
                                      sys.path.append('${CMAKE_SOURCE_DIR}'); \
                                      import gau2grid as gg; \
@@ -67,14 +70,20 @@
     VERBATIM)
 
 set(sources_list ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_phi.c
+                 ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_orbital.c
                  ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_deriv1.c
                  ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_deriv2.c
                  ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_spherical.c
                  ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_helper.c)
 
 add_library(gg ${sources_list})
-set_target_properties(gg PROPERTIES COMPILE_FLAGS "-std=c99")
-set_target_properties(gg PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC})
+if ("${CMAKE_C_COMPILER_ID}" STREQUAL "PGI")
+    set_target_properties(gg PROPERTIES COMPILE_FLAGS "-c11")
+else()
+    set_target_properties(gg PROPERTIES COMPILE_FLAGS "-std=c11")
+endif()
+set_target_properties(gg PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC}
+                                    SOVERSION 1)  # bump whenever interface has changes or removals
 
 if(${BUILD_SHARED_LIBS})
     target_link_libraries(gg PRIVATE ${LIBC_INTERJECT})

=== debian/changelog ===
gau2grid (1.3.0-2) unstable; urgency=medium

  * debian/control: Rename package libgg1-dev to libgg-dev.
  * debian/libgg1-dev.install: Renamed to ... 
  * debian/libgg-dev.install: ... this.

 -- Michael Banck <mbanck@debian.org>  Sun, 02 Dec 2018 15:08:30 +0100

gau2grid (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/gitlab-ci.yml: Reorder source unpack and build dependency install.
  * debian/control (libgg1, libgg1-dev): New packages.
  * debian/python3-gau2grid.install: New file.
  * debian/libgg1.install: Likewise.
  * debian/libgg1-dev.install: Likewise.
  * debian/rules: Build via cmake as well.

 -- Michael Banck <mbanck@debian.org>  Sun, 02 Dec 2018 12:37:51 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure --buildsystem=cmake --	\
		-DCMAKE_BUILD_TYPE=Release		\
		-DPYTHON_EXECUTABLE=/usr/bin/python3

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --buildsystem=cmake

override_dh_auto_test:
	dh_auto_test
	dh_auto_test --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --buildsystem=cmake

## gau2grid 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
 
 project(gau2grid
-        VERSION 1.2.0
+        VERSION 1.3.1
         LANGUAGES C)
 set(gau2grid_AUTHORS      "Daniel G. A. Smith")
 set(gau2grid_DESCRIPTION  "Fast computation of a gaussian and its derivative on a grid")
@@ -42,6 +42,7 @@
 option_with_default(PYMOD_INSTALL_LIBDIR "Location within CMAKE_INSTALL_LIBDIR to which python modules are installed
                                           Must start with: / . Used to imitate python install: /python3.6/site-packages ." /)
 option_with_print(INSTALL_PYMOD "Additionally installs as independent python module in PYMOD_INSTALL_LIBDIR" OFF)
+option_with_default(NATIVE_PYTHON_INSTALL "For INSTALL_PYMOD=ON, install in Python manner to PYTHON_EXECUTABLE's site-packages rather than Linux manner to prefix. Overrides CMAKE_INSTALL_PREFIX, CMAKE_INSTALL_LIBDIR, PYMOD_INSTALL_LIBDIR. Only Py module installed." OFF)
 
 ########################  Process & Validate Options  ##########################
 include(autocmake_safeguards)
@@ -67,6 +68,17 @@
                                      import gau2grid as gg; \
                                      gg.c_gen.generate_c_gau2grid(${MAX_AM}, path='${CMAKE_CURRENT_BINARY_DIR}', cartesian_order='${CARTESIAN_ORDER}', spherical_order='${SPHERICAL_ORDER}')"
     DEPENDS gau2grid/c_generator.py
+            gau2grid/c_generator.py
+            gau2grid/codegen.py
+            gau2grid/c_pragma.py
+            gau2grid/c_util_generator.py
+            gau2grid/c_wrapper.py
+            gau2grid/docs_generator.py
+            gau2grid/np_generator.py
+            gau2grid/order.py
+            gau2grid/python_reference.py
+            gau2grid/RSH.py
+            gau2grid/utility.py
     VERBATIM)
 
 set(sources_list ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_phi.c
@@ -96,15 +108,6 @@
 
 set(PN ${PROJECT_NAME})
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gau2grid.h
-              ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_pragma.h
-              DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PN})
-
-install(TARGETS gg
-        EXPORT "${PN}Targets"
-        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
-        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
-
 target_include_directories(gg INTERFACE
                            $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
 
@@ -118,19 +121,51 @@
                                  COMPATIBILITY AnyNewerVersion)
 
 # Install our files
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PN}Config.cmake
-              ${CMAKE_CURRENT_BINARY_DIR}/${PN}ConfigVersion.cmake
-        DESTINATION ${CMAKECONFIG_INSTALL_DIR})
-install(EXPORT "${PN}Targets"
-        NAMESPACE "${PN}::"
-        DESTINATION ${CMAKECONFIG_INSTALL_DIR})
+if(NOT(${INSTALL_PYMOD} AND ${NATIVE_PYTHON_INSTALL}))
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gau2grid.h
+                  ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_pragma.h
+                  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PN})
+
+    install(TARGETS gg
+            EXPORT "${PN}Targets"
+            ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+            LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
+
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PN}Config.cmake
+                  ${CMAKE_CURRENT_BINARY_DIR}/${PN}ConfigVersion.cmake
+            DESTINATION ${CMAKECONFIG_INSTALL_DIR})
+    install(EXPORT "${PN}Targets"
+            NAMESPACE "${PN}::"
+            DESTINATION ${CMAKECONFIG_INSTALL_DIR})
+endif()
 
 if(${INSTALL_PYMOD})
+    if(${NATIVE_PYTHON_INSTALL})
+        execute_process(COMMAND ${PYTHON_EXECUTABLE} -c
+                        "import sys; print(sys.prefix);"
+                        OUTPUT_VARIABLE CMAKE_INSTALL_PREFIX
+                        OUTPUT_STRIP_TRAILING_WHITESPACE)
+        execute_process(COMMAND ${PYTHON_EXECUTABLE} -c
+                        "from distutils import sysconfig as s; import os; import sys; cmake_install_prefix = sys.prefix; prefix_lib = s.get_config_var('LIBDIR'); print(prefix_lib.replace(os.path.commonpath([prefix_lib, cmake_install_prefix]), '').strip('/'));"
+                        OUTPUT_VARIABLE CMAKE_INSTALL_LIBDIR
+                        OUTPUT_STRIP_TRAILING_WHITESPACE)
+        execute_process(COMMAND ${PYTHON_EXECUTABLE} -c
+                        "from distutils import sysconfig as s; import os; prefix_lib = s.get_config_var('LIBDIR'); spdir = s.get_python_lib(plat_specific=True); print(spdir.replace(os.path.commonpath([prefix_lib, spdir]), ''));"
+                        OUTPUT_VARIABLE PYMOD_INSTALL_LIBDIR
+                        OUTPUT_STRIP_TRAILING_WHITESPACE)
+    endif()
+
+    execute_process(COMMAND ${PYTHON_EXECUTABLE} -c
+                    "from numpy import distutils; print(distutils.misc_util.get_shared_lib_extension(is_python_ext=False))"
+                    OUTPUT_VARIABLE PYLIB_EXTENSION
+                    OUTPUT_STRIP_TRAILING_WHITESPACE)
+
     install(DIRECTORY gau2grid
             DESTINATION ${CMAKE_INSTALL_LIBDIR}${PYMOD_INSTALL_LIBDIR}
             USE_SOURCE_PERMISSIONS
-            FILES_MATCHING PATTERN "*.py" PATTERN "*.npz")
+            FILES_MATCHING PATTERN "*.py")
 
     install(FILES $<TARGET_FILE:gg>
-            DESTINATION ${CMAKE_INSTALL_LIBDIR}${PYMOD_INSTALL_LIBDIR}/gau2grid)
+            DESTINATION ${CMAKE_INSTALL_LIBDIR}${PYMOD_INSTALL_LIBDIR}/gau2grid
+            RENAME "gg${PYLIB_EXTENSION}")
 endif()

=== debian/changelog ===
gau2grid (1.3.1-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS if build directory contains "-D"
    Closes: #928363
  * d/copyright: Fix license name

 -- Andreas Tille <tille@debian.org>  Sun, 12 May 2019 08:53:30 +0200

gau2grid (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/pybuild_install_fix.patch: New patch, removes CMake install
    run during pybuild's build.

 -- Michael Banck <mbanck@debian.org>  Tue, 01 Jan 2019 13:06:25 +0100

gau2grid (1.3.0-3) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Define ENABLE_XHOST=OFF (Closes:
    #916841).

 -- Michael Banck <mbanck@debian.org>  Mon, 24 Dec 2018 15:23:57 +0100

=== debian/control ===
--- 
+++ 
@@ -20,11 +20,41 @@
 
 Package: python3-gau2grid
 Architecture: any
+Section: python
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends}
+Description: Computing gaussians on a grid (python module)
+ gau2grid is a python-generated C library for vectorized computation of grid to
+ gaussian collocation matrices. The core of gau2grid is generating the
+ collocation matrices between a real space grid and a gaussian basis set
+ expanded to a given angular momenta.
+ .
+ This package contains the python3 module.
+
+Package: libgg1
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
 Description: Computing gaussians on a grid
  gau2grid is a python-generated C library for vectorized computation of grid to
  gaussian collocation matrices. The core of gau2grid is generating the
  collocation matrices between a real space grid and a gaussian basis set
  expanded to a given angular momenta.
+ .
+ This package contains the shared library.
+
+Package: libgg-dev
+Architecture: any
+Section: libdevel
+Depends: libgg1 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends},
+Description: Computing gaussians on a grid (development files)
+ gau2grid is a python-generated C library for vectorized computation of grid to
+ gaussian collocation matrices. The core of gau2grid is generating the
+ collocation matrices between a real space grid and a gaussian basis set
+ expanded to a given angular momenta.
+ .
+ This package contains the header and cmake support files.

## gau2grid 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
 
 project(gau2grid
-        VERSION 1.3.1
+        VERSION 2.0.1
         LANGUAGES C)
 set(gau2grid_AUTHORS      "Daniel G. A. Smith")
 set(gau2grid_DESCRIPTION  "Fast computation of a gaussian and its derivative on a grid")
@@ -14,10 +14,6 @@
 #############################  Options: Build How?  #############################
 include(psi4OptionsTools)
 option_with_default(MAX_AM "The maximum gaussian angular momentum to compile" 8)
-option_with_default(SPHERICAL_ORDER "The order for the spherical basis functions. Options: cca, gaussian" "gaussian")
-option_with_default(CARTESIAN_ORDER "The order for the cartesian basis functions. Options: row, molden" "row")
-
-option_with_default(MAX_AM "The maximum gaussian angular momentum to compile" 8)
 option_with_default(CMAKE_BUILD_TYPE "Build type (Release or Debug)" Release)
 option_with_flags(ENABLE_XHOST "Enables processor-specific optimization" ON
                   "-xHost" "-march=native")
@@ -29,12 +25,6 @@
 # Warnings
 if((${BUILD_SHARED_LIBS}) AND NOT ${BUILD_FPIC})
     message(FATAL_ERROR "BUILD_SHARED_LIBS ON and BUILD_FPIC OFF are incompatible, as shared library requires position independent code")
-endif()
-if(NOT ((${SPHERICAL_ORDER} STREQUAL "cca") OR (${SPHERICAL_ORDER} STREQUAL "gaussian")))
-    message(FATAL_ERROR "SPHERICAL_ORDER must be 'cca' or 'gaussian': ${SPHERICAL_ORDER}")
-endif()
-if(NOT ((${CARTESIAN_ORDER} STREQUAL "row") OR (${CARTESIAN_ORDER} STREQUAL "molden")))
-    message(FATAL_ERROR "CARTESIAN_ORDER must be 'row' or 'molden': ${CARTESIAN_ORDER}")
 endif()
 
 # Install
@@ -62,11 +52,11 @@
 
 ################################  Main Project  ################################
 add_custom_command(
-    OUTPUT  gau2grid.h gau2grid_orbital.c gau2grid_phi.c gau2grid_deriv1.c gau2grid_deriv2.c gau2grid_spherical.c gau2grid_helper.c
+    OUTPUT  gau2grid.h gau2grid_orbital.c gau2grid_phi.c gau2grid_deriv1.c gau2grid_deriv2.c gau2grid_deriv3.c gau2grid_transform.c gau2grid_helper.c
     COMMAND ${PYTHON_EXECUTABLE} -c "import sys; \
                                      sys.path.append('${CMAKE_SOURCE_DIR}'); \
                                      import gau2grid as gg; \
-                                     gg.c_gen.generate_c_gau2grid(${MAX_AM}, path='${CMAKE_CURRENT_BINARY_DIR}', cartesian_order='${CARTESIAN_ORDER}', spherical_order='${SPHERICAL_ORDER}')"
+                                     gg.c_gen.generate_c_gau2grid(${MAX_AM}, path='${CMAKE_CURRENT_BINARY_DIR}')"
     DEPENDS gau2grid/c_generator.py
             gau2grid/c_generator.py
             gau2grid/codegen.py
@@ -74,7 +64,6 @@
             gau2grid/c_util_generator.py
             gau2grid/c_wrapper.py
             gau2grid/docs_generator.py
-            gau2grid/np_generator.py
             gau2grid/order.py
             gau2grid/python_reference.py
             gau2grid/RSH.py
@@ -85,7 +74,8 @@
                  ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_orbital.c
                  ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_deriv1.c
                  ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_deriv2.c
-                 ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_spherical.c
+                 ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_deriv3.c
+                 ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_transform.c
                  ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_helper.c)
 
 add_library(gg ${sources_list})
@@ -168,4 +158,7 @@
     install(FILES $<TARGET_FILE:gg>
             DESTINATION ${CMAKE_INSTALL_LIBDIR}${PYMOD_INSTALL_LIBDIR}/gau2grid
             RENAME "gg${PYLIB_EXTENSION}")
+
+    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/LICENSE
+            DESTINATION ${CMAKE_INSTALL_LIBDIR}${PYMOD_INSTALL_LIBDIR}/gau2grid)
 endif()

## gau2grid 2.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
 
 project(gau2grid
-        VERSION 2.0.1
+        VERSION 2.0.3
         LANGUAGES C)
 set(gau2grid_AUTHORS      "Daniel G. A. Smith")
 set(gau2grid_DESCRIPTION  "Fast computation of a gaussian and its derivative on a grid")
@@ -33,6 +33,7 @@
                                           Must start with: / . Used to imitate python install: /python3.6/site-packages ." /)
 option_with_print(INSTALL_PYMOD "Additionally installs as independent python module in PYMOD_INSTALL_LIBDIR" OFF)
 option_with_default(NATIVE_PYTHON_INSTALL "For INSTALL_PYMOD=ON, install in Python manner to PYTHON_EXECUTABLE's site-packages rather than Linux manner to prefix. Overrides CMAKE_INSTALL_PREFIX, CMAKE_INSTALL_LIBDIR, PYMOD_INSTALL_LIBDIR. Only Py module installed." OFF)
+option_with_print(NATIVE_PYTHON_INSTALL_WITH_LIB "Same as NATIVE_PYTHON_INSTALL except installs library, too, _without_ overriding CMAKE_INSTALL_* options." OFF)
 
 ########################  Process & Validate Options  ##########################
 include(autocmake_safeguards)
@@ -87,6 +88,9 @@
 set_target_properties(gg PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC}
                                     SOVERSION 1)  # bump whenever interface has changes or removals
 
+find_package(StandardMathLibraryC)
+target_link_libraries(gg PRIVATE ${STANDARD_MATH_LIBRARY})
+
 if(${BUILD_SHARED_LIBS})
     target_link_libraries(gg PRIVATE ${LIBC_INTERJECT})
 endif()
@@ -111,7 +115,7 @@
                                  COMPATIBILITY AnyNewerVersion)
 
 # Install our files
-if(NOT(${INSTALL_PYMOD} AND ${NATIVE_PYTHON_INSTALL}))
+if(${NATIVE_PYTHON_INSTALL_WITH_LIB} OR (NOT(${INSTALL_PYMOD} AND ${NATIVE_PYTHON_INSTALL})))
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gau2grid.h
                   ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_pragma.h
                   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PN})

=== debian/changelog ===
gau2grid (2.0.3-1) unstable; urgency=medium

  [ Debichem Team ]
  * New upstream point release.

  [ Michael Banck ]
  * debian/patches/fix_setup.py: Refreshed.
  * debian/patches/pybuild_install_fix.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Mon, 28 Oct 2019 22:31:14 +0100

gau2grid (2.0.1-2) unstable; urgency=medium

  * Reupload with 1.3.1-2 changes.

 -- Michael Banck <mbanck@debian.org>  Sat, 21 Sep 2019 15:36:57 +0200

gau2grid (2.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Sat, 21 Sep 2019 15:23:12 +0200

## gau2grid 2.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
 
 project(gau2grid
-        VERSION 2.0.3
+        VERSION 2.0.4
         LANGUAGES C)
 set(gau2grid_AUTHORS      "Daniel G. A. Smith")
 set(gau2grid_DESCRIPTION  "Fast computation of a gaussian and its derivative on a grid")
@@ -86,7 +86,7 @@
     set_target_properties(gg PROPERTIES COMPILE_FLAGS "-std=c11")
 endif()
 set_target_properties(gg PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC}
-                                    SOVERSION 1)  # bump whenever interface has changes or removals
+                                    SOVERSION 2)  # bump whenever interface has changes or removals
 
 find_package(StandardMathLibraryC)
 target_link_libraries(gg PRIVATE ${STANDARD_MATH_LIBRARY})

=== debian/changelog ===
gau2grid (2.0.4-1ubuntu1) focal; urgency=medium

  * Drop unnecessary build-dependency on python-minimal

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 11 Mar 2020 12:52:42 +0000

gau2grid (2.0.4-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:31:04 +0000

gau2grid (2.0.4-1) unstable; urgency=medium

  * New upstream point release.
  * debian/libgg1.install: Renamed to ... 
  * debian/libgg2.install: ... his.
  * debian/control: Rename occurrences of libgg1 to libgg2.

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Nov 2019 18:44:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: gau2grid
 Section: libs
 Priority: optional
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
 Build-Depends: debhelper (>= 10),
                cmake (>= 3.0.2),
                dh-python,
-               python-minimal,
                python3-dev (>= 3.6),
                python3-numpy,
                python3-pytest,
@@ -32,7 +32,7 @@
  .
  This package contains the python3 module.
 
-Package: libgg1
+Package: libgg2
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -48,7 +48,7 @@
 Package: libgg-dev
 Architecture: any
 Section: libdevel
-Depends: libgg1 (= ${binary:Version}),
+Depends: libgg2 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
 Description: Computing gaussians on a grid (development files)

## gau2grid 2.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
 
 project(gau2grid
-        VERSION 2.0.4
+        VERSION 2.0.5
         LANGUAGES C)
 set(gau2grid_AUTHORS      "Daniel G. A. Smith")
 set(gau2grid_DESCRIPTION  "Fast computation of a gaussian and its derivative on a grid")
@@ -15,9 +15,13 @@
 include(psi4OptionsTools)
 option_with_default(MAX_AM "The maximum gaussian angular momentum to compile" 8)
 option_with_default(CMAKE_BUILD_TYPE "Build type (Release or Debug)" Release)
-option_with_flags(ENABLE_XHOST "Enables processor-specific optimization" ON
-                  "-xHost" "-march=native")
-
+if(CMAKE_CXX_COMPILER_ID MATCHES Intel)
+option_with_flags(ENABLE_XHOST "Enables processor-specific optimization (with MSVC, it enables AVX2 instructions)" ON
+                  "-xHost" "-march=native" "/arch:AVX2")
+else()
+option_with_flags(ENABLE_XHOST "Enables processor-specific optimization (with MSVC, it enables AVX2 instructions)" ON
+                  "-march=native" "-xHost" "/arch:AVX2")
+endif()
 option_with_default(BUILD_FPIC "Libraries will be compiled with position independent code" ON)
 option_with_print(BUILD_SHARED_LIBS "Build final library as shared, not static" ON)
 option_with_default(ENABLE_GENERIC "Enables mostly static linking of system libraries for shared library" OFF)
@@ -46,8 +50,8 @@
 message(STATUS "gau2grid install: ${CMAKE_INSTALL_PREFIX}")
 
 #  <<  Python  >>
-set(Python_ADDITIONAL_VERSIONS 3.7 3.6 3.5)  # adjust with CMake minimum FindPythonInterp
-find_package(PythonLibsNew 2.7 REQUIRED)
+set(Python_ADDITIONAL_VERSIONS 3.9 3.8 3.7 3.6 3.5)  # adjust with CMake minimum FindPythonInterp
+find_package(PythonLibsNew 3.6 REQUIRED)
 message(STATUS "${Cyan}Found Python ${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}${ColourReset}: ${PYTHON_EXECUTABLE} (found version ${PYTHON_VERSION_STRING})")
 
 
@@ -112,7 +116,7 @@
                               INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})
 write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/${PN}ConfigVersion.cmake
                                  VERSION ${${PN}_VERSION}
-                                 COMPATIBILITY AnyNewerVersion)
+                                 COMPATIBILITY SameMajorVersion)
 
 # Install our files
 if(${NATIVE_PYTHON_INSTALL_WITH_LIB} OR (NOT(${INSTALL_PYMOD} AND ${NATIVE_PYTHON_INSTALL})))
@@ -131,6 +135,9 @@
     install(EXPORT "${PN}Targets"
             NAMESPACE "${PN}::"
             DESTINATION ${CMAKECONFIG_INSTALL_DIR})
+    export(EXPORT "${PN}Targets"
+           NAMESPACE "${PN}::"
+           FILE "${PROJECT_BINARY_DIR}/${PN}Targets.cmake")
 endif()
 
 if(${INSTALL_PYMOD})

=== debian/changelog ===
gau2grid (2.0.5-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Sun, 03 Jan 2021 18:36:51 +0100

gau2grid (2.0.4-2) unstable; urgency=medium

  * Team upload
  * Drop unnecessary build-dependency on python-minimal
    (Closes: #936584)
  * Clean trailing whitespace from debian/changelog
  * Add debian/clean to prevent FTBFSx2
  * Switch to debhelper 12
  * Set Rules-Requires-Root: no
  * Drop duplicate Section: libs from libgg2
  * Mark libgg2 and libgg-dev Multi-Arch: same
  * Update description of python3-gau2grid
  * Drop obsolete X-Python3-Version
  * Bump Standards-Version to 4.5.0, no further changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 12 Mar 2020 13:28:49 +0000

## gau2grid 2.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
 option_with_default(BUILD_FPIC "Libraries will be compiled with position independent code" ON)
 option_with_print(BUILD_SHARED_LIBS "Build final library as shared, not static" ON)
 option_with_default(ENABLE_GENERIC "Enables mostly static linking of system libraries for shared library" OFF)
+option_with_default(DISABLE_PRAGMA "Disable certain pragma optimizations, appends _GG_NO_PRAGMA to compile flags" OFF )
 
 # Warnings
 if((${BUILD_SHARED_LIBS}) AND NOT ${BUILD_FPIC})
@@ -57,9 +58,9 @@
 
 ################################  Main Project  ################################
 add_custom_command(
-    OUTPUT  gau2grid.h gau2grid_orbital.c gau2grid_phi.c gau2grid_deriv1.c gau2grid_deriv2.c gau2grid_deriv3.c gau2grid_transform.c gau2grid_helper.c
+    OUTPUT  gau2grid/gau2grid.h gau2grid_orbital.c gau2grid_phi.c gau2grid_deriv1.c gau2grid_deriv2.c gau2grid_deriv3.c gau2grid_transform.c gau2grid_helper.c
     COMMAND ${PYTHON_EXECUTABLE} -c "import sys; \
-                                     sys.path.append('${CMAKE_SOURCE_DIR}'); \
+                                     sys.path.append('${PROJECT_SOURCE_DIR}'); \
                                      import gau2grid as gg; \
                                      gg.c_gen.generate_c_gau2grid(${MAX_AM}, path='${CMAKE_CURRENT_BINARY_DIR}')"
     DEPENDS gau2grid/c_generator.py
@@ -92,6 +93,10 @@
 set_target_properties(gg PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC}
                                     SOVERSION 2)  # bump whenever interface has changes or removals
 
+if( DISABLE_PRAGMA )
+  target_compile_definitions( gg PRIVATE $<BUILD_INTERFACE:__GG_NO_PRAGMA> )
+endif()
+
 find_package(StandardMathLibraryC)
 target_link_libraries(gg PRIVATE ${STANDARD_MATH_LIBRARY})
 
@@ -106,7 +111,11 @@
 
 set(PN ${PROJECT_NAME})
 
-target_include_directories(gg INTERFACE
+# Alias to allow for consistent manipulation as a subproject
+add_library( ${PN}::gg ALIAS gg )
+
+target_include_directories(gg PUBLIC
+                           $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>
                            $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
 
 # GNUInstallDirs "DATADIR" wrong here; CMake search path wants "share".
@@ -120,8 +129,8 @@
 
 # Install our files
 if(${NATIVE_PYTHON_INSTALL_WITH_LIB} OR (NOT(${INSTALL_PYMOD} AND ${NATIVE_PYTHON_INSTALL})))
-    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gau2grid.h
-                  ${CMAKE_CURRENT_BINARY_DIR}/gau2grid_pragma.h
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gau2grid/gau2grid.h
+                  ${CMAKE_CURRENT_BINARY_DIR}/gau2grid/gau2grid_pragma.h
                   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PN})
 
     install(TARGETS gg

## gau2grid 2.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
 
 project(gau2grid
-        VERSION 2.0.5
+        VERSION 2.0.7
         LANGUAGES C)
 set(gau2grid_AUTHORS      "Daniel G. A. Smith")
 set(gau2grid_DESCRIPTION  "Fast computation of a gaussian and its derivative on a grid")
@@ -136,7 +136,9 @@
     install(TARGETS gg
             EXPORT "${PN}Targets"
             ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
-            LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
+            LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+            RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+            PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PN}Config.cmake
                   ${CMAKE_CURRENT_BINARY_DIR}/${PN}ConfigVersion.cmake

=== debian/changelog ===
gau2grid (2.0.7-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Jan 2021 20:15:13 +0100

gau2grid (2.0.6-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Sat, 09 Jan 2021 10:51:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: gau2grid
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                cmake (>= 3.0.2),
                dh-python,
                python3-dev (>= 3.6),
                python3-numpy,
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.1.3
-X-Python3-Version: >= 3.6
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/dgasmith/gau2grid/
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/debichem-team/gau2grid
@@ -24,7 +23,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends}
-Description: Computing gaussians on a grid (python module)
+Description: Computing gaussians on a grid (Python 3 module)
  gau2grid is a python-generated C library for vectorized computation of grid to
  gaussian collocation matrices. The core of gau2grid is generating the
  collocation matrices between a real space grid and a gaussian basis set
@@ -34,7 +33,7 @@
 
 Package: libgg2
 Architecture: any
-Section: libs
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Description: Computing gaussians on a grid
@@ -46,6 +45,7 @@
  This package contains the shared library.
 
 Package: libgg-dev
+Multi-Arch: same
 Architecture: any
 Section: libdevel
 Depends: libgg2 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 	dh_auto_configure
 	dh_auto_configure --buildsystem=cmake --	\
 		-DCMAKE_BUILD_TYPE=Release		\
-		-DPYTHON_EXECUTABLE=/usr/bin/python3
+		-DPYTHON_EXECUTABLE=/usr/bin/python3	\
+		-DENABLE_XHOST=OFF
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=3
https://github.com/dgasmith/gau2grid/releases .*/archive/v([\d.]+)\.tar\.gz

## gau2grid 2.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.12...4.0)
 
 project(gau2grid
-        VERSION 2.0.7
+        VERSION 2.0.8
         LANGUAGES C)
 set(gau2grid_AUTHORS      "Daniel G. A. Smith")
 set(gau2grid_DESCRIPTION  "Fast computation of a gaussian and its derivative on a grid")
@@ -12,6 +12,7 @@
 
 
 #############################  Options: Build How?  #############################
+include(GNUInstallDirs)
 include(psi4OptionsTools)
 option_with_default(MAX_AM "The maximum gaussian angular momentum to compile" 8)
 option_with_default(CMAKE_BUILD_TYPE "Build type (Release or Debug)" Release)
@@ -33,7 +34,6 @@
 endif()
 
 # Install
-option_with_default(CMAKE_INSTALL_LIBDIR "Directory to which libraries installed" lib)
 option_with_default(PYMOD_INSTALL_LIBDIR "Location within CMAKE_INSTALL_LIBDIR to which python modules are installed
                                           Must start with: / . Used to imitate python install: /python3.6/site-packages ." /)
 option_with_print(INSTALL_PYMOD "Additionally installs as independent python module in PYMOD_INSTALL_LIBDIR" OFF)
@@ -51,15 +51,14 @@
 message(STATUS "gau2grid install: ${CMAKE_INSTALL_PREFIX}")
 
 #  <<  Python  >>
-set(Python_ADDITIONAL_VERSIONS 3.9 3.8 3.7 3.6 3.5)  # adjust with CMake minimum FindPythonInterp
-find_package(PythonLibsNew 3.6 REQUIRED)
-message(STATUS "${Cyan}Found Python ${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}${ColourReset}: ${PYTHON_EXECUTABLE} (found version ${PYTHON_VERSION_STRING})")
+find_package(Python 3.6 REQUIRED COMPONENTS Interpreter)
+message(STATUS "${Cyan}Found Python ${Python_VERSION_MAJOR}.${Python_VERSION_MINOR}${ColourReset}: ${Python_EXECUTABLE} (found version ${Python_VERSION})")
 
 
 ################################  Main Project  ################################
 add_custom_command(
     OUTPUT  gau2grid/gau2grid.h gau2grid_orbital.c gau2grid_phi.c gau2grid_deriv1.c gau2grid_deriv2.c gau2grid_deriv3.c gau2grid_transform.c gau2grid_helper.c
-    COMMAND ${PYTHON_EXECUTABLE} -c "import sys; \
+    COMMAND Python::Interpreter -c "import sys; \
                                      sys.path.append('${PROJECT_SOURCE_DIR}'); \
                                      import gau2grid as gg; \
                                      gg.c_gen.generate_c_gau2grid(${MAX_AM}, path='${CMAKE_CURRENT_BINARY_DIR}')"
@@ -106,7 +105,6 @@
 
 
 ###################################  Install  ##################################
-include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
 
 set(PN ${PROJECT_NAME})

=== debian/changelog ===
gau2grid (2.0.8-1) unstable; urgency=medium

  * New upstream point release.
  * debian/rules (override_dh_auto_configure): Add
    -DCMAKE_POLICY_VERSION_MINIMUM=3.5 (Closes: #1112943).

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Nov 2025 16:35:21 +0100

gau2grid (2.0.7-3) unstable; urgency=medium

  * debian/patches/fix_versioneer.patch: New patch, fixes a build error during
    setup (Closes: #1074649).

 -- Michael Banck <mbanck@debian.org>  Sun, 16 Mar 2025 16:30:36 +0100

gau2grid (2.0.7-2) unstable; urgency=medium

  [ Michael Banck ]
  * debian/watch: Updated.

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Michael Banck <mbanck@debian.org>  Sat, 02 Dec 2023 18:34:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 override_dh_auto_configure:
 	dh_auto_configure
 	dh_auto_configure --buildsystem=cmake --	\
+		-DCMAKE_POLICY_VERSION_MINIMUM=3.5	\
 		-DCMAKE_BUILD_TYPE=Release		\
 		-DPYTHON_EXECUTABLE=/usr/bin/python3	\
 		-DENABLE_XHOST=OFF
